<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title></title>


    <!-- Link jquery -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Lato">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0/css/all.min.css">
    <!-- Bootstrap -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

    <style>

    </style>
</head>

<body>
    <div class="container-fluid">
        <!-- 1. Header - Navbar menu -->
        <!-- NAVBAR -->
        <nav class="navbar navbar-expand-lg navbar-light     container">
            <a class="navbar-brand" href="#">
                <h3 style="color: rgb(73 164 255); ;"><b>Weather App</b></h3>
            </a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
                aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse  justify-content-end" id="navbarSupportedContent">
                <ul class="navbar-nav">
                    <li class="nav-item active">
                        <a style="color: rgb(73 164 255); ;" class="nav-item  p-3 border-a" href="#">Current</a>
                    </li>
                    <li class="nav-item active">
                        <a style="color: rgb(73 164 255); ;" class="nav-item  p-3 border-a" href="#">Forecast</a>
                    </li>
                </ul>
            </div>
        </nav>
        <!-- ------------------- -->


        <!--2 Highlight section -->

        <div class="text-white text-center" style="background-color: rgb(73 164 255);">
            <div class="container">
                <h1 style="padding: 50px;"> Get Current Weather Information</h1>
            </div>
        </div>
        <!-- ------------------- -->


        <!-- CONTENT -->
        <!-- 3. Features -->
        <div class="container-fluid margin-content" style="padding-top: 30px;">
            <div class="top bg-light text-center">
                <div class="row">
                    <div class="col-sm"></div>
                    <div class="col-sm">
                        <div class="col-sm-12" style="padding: 3px;">
                            <div>
                                <h4 style="color: rgb(73 164 255); ;">Enter City Name</h4>
                            </div>
                            <div class="row">
                                <div class="col-sm-8" style="padding: 5px;">
                                    <input class="form-control" id="inp-city-name" type="text" name="inp-city-name"
                                        placeholder="Enter city name">
                                </div>
                                <div class="col-sm-4" style="padding: 5px;">
                                    <button id="btn-search" class="bg-primary text-white form-control">Search
                                        City</button>
                                </div>
                            </div>
                            <div class="text-white" id="div-display" style="background-color: rgb(73 164 255);display: none;">
                                <p id="p-display"></p>
                            </div>
                        </div>
                    </div>
                    <div class="col-sm"></div>
                </div>
            </div>

            <div class="main" style="padding-top: 30px; padding-bottom: 150px;">
            </div>
            <div class="bottom bg-light" style="padding: 50px;"></div>
        </div>
        <!-- ------------------- -->
        <!-- FOOTER -->
        <div class="container-fluid text-white" style="padding: 30px;background-color: rgb(73 164 255);">
            <footer class="main-footer">
                <div class="text-center">
                    <strong>Copyright &copy; Weather App</strong>
                </div>
            </footer>
        </div>
    </div>
    <script>
        $(document).ready(function () {
            $("#btn-search").on("click", function () {
                var cityName = $("#inp-city-name").val();
                getCurrentWeather(cityName);
            })
        });
        function getCurrentWeather(paramCity) {
            if (paramCity != '') {
                $.ajax({
                    url: 'http://api.openweathermap.org/data/2.5/weather?q=' + paramCity + "&units=metric" +
                        "&APPID=c10bb3bd22f90d636baa008b1529ee25",
                    type: "GET",
                    dataType: "json",
                    success: function (data) {
                        console.log(
                            `Current Weather for ${data.name}, ${data.sys.country}</h2>'+
                        Weather: ${data.weather[0].main}
                        Img: 'http://openweathermap.org/img/w/${data.weather[0].icon}.png'
                        Description: ${data.weather[0].description}
                        Temperature: ${data.main.temp}
                        Pressure: ${data.main.pressure}
                        Humidity: ${data.main.humidity}+"%</h3>"+
                        Min Temperature: ${data.main.temp_min}
                        Max Temperature: ${data.main.temp_max}
                        Wind Speed: ${data.wind.speed}
                        Wind Direction: ${data.wind.deg}`
                        )
                        $("#p-display").html(
                            `<h2>Current Weather for ${data.name}, ${data.sys.country}</h2> </br>
                            Weather: ${data.weather[0].main} </br> 
                            Description: ${data.weather[0].description} </br> 
                            Temperature: ${data.main.temp} </br> 
                            Pressure: ${data.main.pressure} </br> 
                            Humidity: ${data.main.humidity} % </br> 
                            Min Temperature: ${data.main.temp_min} </br> 
                            Max Temperature: ${data.main.temp_max} </br> 
                            Wind Speed: ${data.wind.speed} </br> 
                            Wind Direction: ${data.wind.deg}`
                        )
                        $("#div-display").css("display", "block")
                    }

                });
            } else {
                console.error("City not valid")
            }
        }
    </script>
</body>

</html>